Skip to main content
POST
/
public-api
/
end-companies
Create an end-company
curl --request POST \
  --url https://api.neoagent.io/public-api/end-companies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "psa_company_id": "<string>",
  "psa_company_name": "<string>",
  "auto_assign_exchange_admin": true,
  "custom_instructions": "<string>",
  "custom_instructions_for_user_facing_chat": "<string>",
  "employee_identity_provider": {
    "onprem_ad_adconnect_server_hostname": "<string>",
    "onprem_ad_runner_hostname": "<string>",
    "onprem_service_account_username": "<string>"
  },
  "mailbox_provider": {
    "onprem_exchange_runner_hostname": "<string>",
    "onprem_exchange_server_hostname": "<string>",
    "onprem_service_account_username": "<string>"
  },
  "marketplace_company_ids": [
    {
      "company_id": "<string>"
    }
  ],
  "tenant_id": "<string>"
}
'
{
  "data": {
    "auto_assign_exchange_admin": true,
    "azure_application_access_granted": true,
    "azure_delegated_access_granted": true,
    "custom_instructions": "<string>",
    "custom_instructions_for_user_facing_chat": "<string>",
    "employee_identity_provider": {
      "onprem_ad_adconnect_server_hostname": "<string>",
      "onprem_ad_runner_hostname": "<string>",
      "onprem_service_account_username": "<string>"
    },
    "mailbox_provider": {
      "onprem_exchange_runner_hostname": "<string>",
      "onprem_exchange_server_hostname": "<string>",
      "onprem_service_account_username": "<string>"
    },
    "marketplace_company_ids": [
      {
        "company_id": "<string>"
      }
    ],
    "psa_company_id": "<string>",
    "psa_company_name": "<string>",
    "tenant_id": "<string>"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Body

application/json
psa_company_id
string
required
psa_company_name
string
required
auto_assign_exchange_admin
boolean | null
custom_instructions
string | null
custom_instructions_for_user_facing_chat
string | null
employee_identity_provider
IdentityProvider · object
mailbox_provider
MailboxProvider · object
marketplace_company_ids
MarketplaceCompanyId · object[] | null
tenant_id
string | null

Response

Success.

data
PublicEndCompany · object
required
meta
object
required